Page MenuHomeFreeBSD

libpmc: enable pmu_utils on arm64
ClosedPublic

Authored by mhorne on Jun 1 2021, 4:20 PM.

Details

Summary

This allows supported libpmc to query/select from the pmu-events table,
which may have a more complete set of events than what we define
manually. A future update to these definitions should greatly improve
this support.

Add the Foundation's copyright for recent work on this file.

Diff Detail

Repository
rG FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

mhorne requested review of this revision.Jun 1 2021, 4:20 PM
This revision is now accepted and ready to land.Jun 2 2021, 8:10 AM
lib/libpmc/libpmc_pmu_util.c
153

"branch" or "branches"?

Rebase on top of D30602; set pm_has_raw_event field. Fix 'branches' typo.

This revision now requires review to proceed.Jun 22 2021, 3:07 PM
This revision is now accepted and ready to land.Jun 23 2021, 9:28 PM
This revision was automatically updated to reflect the committed changes.